<mat-card class="w-50 mx-auto">
  <mat-card-header class="mx-auto">
    <mat-card-title class="green-text">Login</mat-card-title>
  </mat-card-header>
  <form [formGroup]="loginForm" class="mx-auto" (ngSubmit)="onSubmit()">
    <mat-card-content>
      <div>
        <mat-form-field>
          <input matInput placeholder="Email" formControlName="email" />
          <mat-error
            *ngIf="
              loginFormData.email.errors?.required &&
              (loginFormData['email'].dirty || loginFormData['email'].touched)
            "
            >This field is required!</mat-error
          >
          <mat-error
            *ngIf="
              loginFormData.email.errors?.email &&
              (loginFormData['email'].dirty || loginFormData['email'].touched)
            "
            >Invalid Email Format!</mat-error
          >
          <mat-error
            *ngIf="
              loginFormData.email.errors?.incorrect &&
              (loginFormData['email'].dirty || loginFormData['email'].touched)
            "
            >Incorrect Email!</mat-error
          >
        </mat-form-field>
      </div>

      <div>
        <mat-form-field>
          <input
            matInput
            type="password"
            placeholder="Password"
            formControlName="password"
          />
          <mat-error
            *ngIf="
              loginFormData.password.errors?.required &&
              (loginFormData['password'].dirty ||
                loginFormData['password'].touched)
            "
            >This field is required!</mat-error
          >
          <mat-error
            *ngIf="
              loginFormData.password.errors?.incorrect &&
              (loginFormData['password'].dirty ||
                loginFormData['password'].touched)
            "
            >Incorrect Password!</mat-error
          >
        </mat-form-field>
      </div>

      <div class="d-flex justify-content-center">
        <button
          [disabled]="!loginForm.valid"
          mat-raised-button
          color="accent"
          mat-button
        >
          Sign In
        </button>
      </div>
    </mat-card-content>
  </form>
</mat-card>
